6.0.0-git
2019-09-21

[#13737] Setting "Delay until" on task with subtasks
Summary Setting "Delay until" on task with subtasks
Queue Nag
Queue Version 4.2.1
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester Jasper.Olbrich (at) students (dot) uni-marburg (dot) de
Created 2014-12-05 (1751 days ago)
Due
Updated 2016-01-30 (1330 days ago)
Assigned 2016-01-22 (1338 days ago)
Resolved 2016-01-30 (1330 days ago)
Milestone
Patch No

History
2016-01-30 18:25:20 Michael Rubinsky Comment #4
Taken from Jan Schneider
State ⇒ Resolved
Reply to this comment
This was fixed by the commits for Ticket: 12308.
2016-01-22 11:39:05 Jan Schneider Comment #3
Assigned to Jan Schneider
Assigned to Michael Rubinsky
State ⇒ Assigned
Priority ⇒ 2. Medium
Reply to this comment
2015-10-13 13:41:27 x (dot) van_dessel (at) ieee (dot) org Comment #2 Reply to this comment
This ticket is related to 12308.

I have retested the behaviour described and I can confirm it behaves 
indeed differently from what is expected.
Versions used: nag 4.2.5, kronolith 4.2.9

I can even extend the given case of parent - child with another 
situation. The OP describes that when you set the parent task to a 
future start, then the parent task rightfully moves to the future 
tasks. And in that list the child task is not listed, and thus the 
list user interface does not avoid the completion tick.

But there is a more dangerous sitation:
If you keep the parent task now (no delayed start), but you delay a 
child task, then, in the normal task list you will only see the 
parent. You won't even see the child as that one has been moved to the 
future task tab. Again, the list no longer sees any child, and thus 
the parent task can be set to completed.

In general, there should be some code that is called ALWAYS when task 
is being completed. If that task finds any reason to refuse the 
completion, then it refuses it, and issues an error message indicating 
the reason.

2014-12-05 12:01:38 Jasper (dot) Olbrich (at) students (dot) uni-marburg (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Setting "Delay until" on task with subtasks
Queue ⇒ Nag
Milestone ⇒
Patch ⇒ No
Reply to this comment
When a task with subtasks is given a start date via "Delay Start 
Until..." it is moved to the "Future Tasks" tab, but the subtasks stay 
in the "Incomplete Tasks" tab. In the "Future Tasks" tab, it is 
possible to tick the parent task as complete, as opposed to the 
"Incomplete Tasks" tab, where tasks with subtasks can't be marked as 
complete.

I think that a more consistent behavior would be to propagate the 
"Delay Start Until" setting to all child tasks.

Saved Queries